为各种类型的 Linux 用户准备的手边工具 Guide to Linux App
============================================================

![Guide to Linux](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/guide-to-linux.png?itok=AAcrxjjc "Guide to Linux")
Guide to Linux app （译注：Guide to Linux 是一个 app 名字）并不完美，但它是一个非常好的工具，可以帮助你学习 Linux 命令。Essence Infotech LLP [授权使用][7]。


还记得当初你使用 Linux 吗？根据所处的环境，你的学习曲线可能有些挑战。比如，在 _ /usr/bin_ 中找到的许多命令。在我目前使用的基本操作系统中，它的数目是 1,944。当然，这并不是真实命令数的全部（或者，我所用到的命令数），但这个数目是很多的。

正因为如此（并且不同平台不一样），现在，新用户（和一些已经熟悉的用户）需要一些帮助。

对于每个管理员来说，这些技能是必须具备的：

*   熟悉平台

*   理解命令

*   写 Shell 脚本

当你寻求帮助时，有时，你需要去“阅读那些该死的手册”（Read the Fine/Freaking/Funky Manual，译注：一个网络用语，简写为RTFM)，当你自己都不知道要找什么的时候，它并不会帮到你。那时，你会为你拥有像 [Guide to Linux][15] 这样的 app 感到高兴。

不像你在 Linux.com 上看到的那些大多数的内容，这篇文章只是介绍一个 Android app 的。为什么呢？因为这个特殊的 app 是用来帮助用户学习 Linux 的。

而且，它做的很好。

关于这个 app 我清楚地告诉你 — 它并不完美。Guide to Linux 里面充斥着很烂的英文，糟糕的标点符号，并且（如果你是一个纯粹主义者），它从来没有提到过 GNU。在它的上部，一个特别的功能（通常它对用户非常有用）是没有足够的功能去使用（译注：是指终端模拟器，后面会详细解释）。除此之外，我敢说 Guide to Linux 可能是 Linux 平台上最好的一个移动端的 “口袋指南”。

对于这个 app ，你可能会喜欢它的如下特性：

*   离线使用

*   Linux 教程

*   基础的和高级的 Linux 命令的详细介绍

*   包含了命令示例和语法

*   专用的 Shell 脚本模块

上面的这些，Guide to Linux 是免费提供的（尽管里面有一些广告）。如果你想去除广告，它有一个 app 内的购买，（$2.99 USD/年）可以去消除广告。

让我们来安装这个 app，来看一看它的构成。

### 安装

像所有的 Android 应用一样，安装 Guide to Linux 是非常简单的。按照以下简单的几步就可以安装它了：

1.  打开你的 Android 设备上的 Google Play 商店

2.  搜索 Guide to Linux

3.  通过 Essence Infotech 定位和轻触进入

4.  轻触 Install

5.  允许去完成安装

### [guidetolinux1.jpg][8]

![Guide to Linux main window](https://www.linux.com/sites/lcom/files/styles/floated_images/public/guidetolinux1.jpg?itok=UJhPP80J "Guide to Linux main window")

图 1： The Guide to Linux 主窗口。[已获授权][1]

安装完成后，你可以在你的应用抽屉（App Drawer）或主屏幕上（或者两者都有）上找到它去启动 Guide to Linux 。轻触图标去启动这个 app。

### 使用

让我们看一下 Guide to Linux 的每个功能。我可以发现某些功能比其它的更有帮助，你的体验将更不一样。在我们分别讲解之前，我将提到这个界面。开发者在为这个 app 创建一个易于使用的界面方面做的很好。

从主窗口中（图 1），你可以获取四个易于访问的功能。

轻触四个图标中的任何一个去启动一个功能，然后，准备去学习。

### [guidetolinux2.jpg][9]

![The Tutorial](https://www.linux.com/sites/lcom/files/styles/floated_images/public/guidetolinux2.jpg?itok=LiJ8pHdS "The Tutorial")

图 2：教程开始[已获授权][2]

### 教程

让我们从这个 app 教程的很多 “新手友好” 的功能开始。打开那个功能，然后，将看到这个教程的欢迎节，“Linux 操作系统介绍”（图 2）。

如果你轻触 “汉堡包菜单（hamburger menu）” （左上角的三个横线），显示了内容列表（图 3），因此，你可以在教程中选择任何一个可用的节。

### [guidetolinux3.jpg][10]

![Tutorial TOC](https://www.linux.com/sites/lcom/files/styles/floated_images/public/guidetolinux3_0.jpg?itok=5nJNeYN- "Tutorial TOC")

图 3：教程的内容列表[已获授权][3]

除非你现在还没有搞明白，Guide to Linux 教程的节是每个主题的一系列短文的集合。短文包含图片和链接（在一些案例中），链接将带你到指定的 web 网站（根据主题的需要）。这里没有交互，仅仅只能阅读。但是，这是一个很好的起点，由于开发者在描述各个节方面做的很好（虽然有语法）。

尽管你可以在窗口的顶部看到一个搜索选项，但是，我还是没有发现这一功能的任何效果 —— 但是，你可以试一下。

对于 Linux 新手来说，如果希望获得 Linux 管理的技能，你需要去阅读整个教程。完成之后，转到下一个主题。

### 命令

命令功能类似于手持的 man 页面，是大量的频繁使用的 Linux 命令。当你首次打开它，欢迎页面将详细解释使用命令的益处。

### [guidetolinux4.jpg][11]

![Commands](https://www.linux.com/sites/lcom/files/styles/floated_images/public/guidetolinux4.jpg?itok=Rmzfb8Or "Commands")

图 4：命令侧边栏允许你去查看列出的命令[已获授权][4]

读完之后，你可以轻触向右的箭头（在屏幕底部）或轻触 “汉堡包菜单” ，然后从侧边栏中选择你想去学习的其它命令。（图 4）

轻触任意一个命令，你可以阅读这个命令的解释。每个命令解释页面和它的选项都提供了怎么去使用的示例。

### Shell 脚本

在这个时候，你开始去熟悉 Linux，并对命令已经有一定程序的掌握。现在，是时候去熟悉 shell 脚本了。这一节的设置方式与教程节和命令节相同。

你可以打开内容列表的侧边栏，然后打开包含 shell 脚本教程的任意部分（图 5）。

### [guidetolinux-5-new.jpg][12]

![Shell Script](https://www.linux.com/sites/lcom/files/styles/floated_images/public/guidetolinux-5-new.jpg?itok=EDlZ92IA "Shell Script")

图 5：Shell 脚本节看上去很熟悉。[已获授权][5]

开发者在解释如何最大限度地利用 shell 脚本方面做的很好。对于任何有兴趣学习 shell 脚本细节的人来说，这是个很好的起点。

### 终端

现在我们到了一个新的地方，开发者在这个 app 中包含了一个终端模拟器。遗憾的是，当你在一个没有 “root” 权限的 Android 设备上安装这个 app 时，你会发现你被锁定进一个只读文件系统中，在那里，大部分命令根本无法工作。但是，我在一台 Pixel 2 （通过 Android 应用商店）上安装的 Guide to Linux 中，可以使用更多的这个功能（还只是较少的一部分）。在一台 OnePlus 3 （非 rooted 的）上，不管我改变到哪个目录，我都是得到相同的错误信息 “permission denied”，甚至是一个简单的命令也如此。

在 Chromebook 上，不管怎么操作，它都是正常的（图 6）。可以说，它一直很好地工作在一个只读操作系统中（因此，你不能用它进行真正的工作或创建新文件）。

### [guidetolinux6.jpg][13]

![Permission denied](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/guidetolinux6_0.jpg?itok=cVENH5lM "Permission denied")

图 6： 可以完美地（可以这么说）用一个终端模拟器去工作。[已获授权][6]

记住，这并不是真实的成熟终端，但却是一个新用户去熟悉终端是怎么工作的一种方法。遗憾的是，大多数用户只会发现自己对这个工具的终端功能感到沮丧，仅仅是因为，它们不能使用他们在其它节学到的东西。开发者可能将这个终端功能作为一个 Linux 文件系统沙箱去重新更新它，因此，用户可以真实地使用它去学习。每次用户打开那个工具，它将恢复到原始状态。这只是一个想法。

### 写在最后…

尽管终端功能被一个只读文件系统所限制（几乎到了没法使用的程序），Guide to Linux 仍然是一个新手学习 Linux 的好工具。在 guide to Linux 中，你将学习关于 Linux、命令、和 shell 脚本的很多知识，以便你安装你的第一个发行版之前，让你学习 Linux 有一个好的起点。

 _通过免费的 Linux 基金会和 edX 的 ["Linux 入门"][16]课程学习关于 Linux 的更多知识。_

--------------------------------------------------------------------------------

via: https://www.linux.com/learn/intro-to-linux/2017/8/guide-linux-app-handy-tool-every-level-linux-user

作者：[ JACK WALLEN][a]
译者：[qhwdw](https://github.com/qhwdw)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.linux.com/users/jlwallen
[1]:https://www.linux.com/licenses/category/used-permission
[2]:https://www.linux.com/licenses/category/used-permission
[3]:https://www.linux.com/licenses/category/used-permission
[4]:https://www.linux.com/licenses/category/used-permission
[5]:https://www.linux.com/licenses/category/used-permission
[6]:https://www.linux.com/licenses/category/used-permission
[7]:https://www.linux.com/licenses/category/used-permission
[8]:https://www.linux.com/files/images/guidetolinux1jpg
[9]:https://www.linux.com/files/images/guidetolinux2jpg
[10]:https://www.linux.com/files/images/guidetolinux3jpg-0
[11]:https://www.linux.com/files/images/guidetolinux4jpg
[12]:https://www.linux.com/files/images/guidetolinux-5-newjpg
[13]:https://www.linux.com/files/images/guidetolinux6jpg-0
[14]:https://www.linux.com/files/images/guide-linuxpng
[15]:https://play.google.com/store/apps/details?id=com.essence.linuxcommands
[16]:https://training.linuxfoundation.org/linux-courses/system-administration-training/introduction-to-linux
[17]:https://www.addtoany.com/share#url=https%3A%2F%2Fwww.linux.com%2Flearn%2Fintro-to-linux%2F2017%2F8%2Fguide-linux-app-handy-tool-every-level-linux-user&title=Guide%20to%20Linux%20App%20Is%20a%20Handy%20Tool%20for%20Every%20Level%20of%20Linux%20User
